eID middleware |

# be.portugal.eid.PTEID_ByteArray Class Reference

This class is used to receive/pass byte arrays. More...

Inheritance diagram for be.portugal.eid.PTEID_ByteArray:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_ByteArray ()
| Default constructor.
| PTEID_ByteArray (PTEID_ByteArray bytearray)
| Copy constructor.
| PTEID_ByteArray (byte[] pucData, long ulSize)
| Constructor - initialize a byte array with a byte[].
void | Append (byte[] pucData, long ulSize)
| Append data to the byte array.
void | Append (PTEID_ByteArray data)
| Append data to the byte array.
void | Clear ()
| clear the contents of the byte array
boolean | Equals (PTEID_ByteArray data)
| Return true if the content of the byte array is equal to the content of the byte array passed.
long | Size ()
| Return the number of bytes in the byte array.
byte[] | GetBytes ()
| Return the content of the bytae array as an array of bytes If Size() == 0, then NULL is returned.
boolean | writeToFile (String csFilePath)
| Write the binary content to a file.
PTEID_ByteArray | assign (PTEID_ByteArray bytearray)
| Copy the content of a given byte array.
## Protected Member Functions
| PTEID_ByteArray (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_ByteArray obj)

## Detailed Description

This class is used to receive/pass byte arrays.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ByteArray.PTEID_ByteArray | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_ByteArray.PTEID_ByteArray | ( |  | ) |

Default constructor.

Referenced by be.portugal.eid.PTEID_ByteArray.assign().

be.portugal.eid.PTEID_ByteArray.PTEID_ByteArray | ( | PTEID_ByteArray | bytearray | ) |

Copy constructor.

be.portugal.eid.PTEID_ByteArray.PTEID_ByteArray | ( | byte[] | pucData,
|  | long | ulSize |
| ) |  |  |

Constructor - initialize a byte array with a byte[].

Parameters:

  | pucData | the byte[] input
  | ulSize | the size of the input array

## Member Function Documentation

void be.portugal.eid.PTEID_ByteArray.Append | ( | PTEID_ByteArray | data | ) |

Append data to the byte array.

void be.portugal.eid.PTEID_ByteArray.Append | ( | byte[] | pucData,
|  | long | ulSize |
| ) |  |  |

Append data to the byte array.

Parameters:

  | pucData | is the byte array
  | ulSize | is the size of the array

PTEID_ByteArray be.portugal.eid.PTEID_ByteArray.assign | ( | PTEID_ByteArray | bytearray | ) |

Copy the content of a given byte array.

References be.portugal.eid.PTEID_ByteArray.PTEID_ByteArray().

void be.portugal.eid.PTEID_ByteArray.Clear | ( |  | ) |

clear the contents of the byte array

synchronized void be.portugal.eid.PTEID_ByteArray.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Object.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

boolean be.portugal.eid.PTEID_ByteArray.Equals | ( | PTEID_ByteArray | data | ) |

Return true if the content of the byte array is equal to the content of the byte array passed.

void be.portugal.eid.PTEID_ByteArray.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Object.

byte [] be.portugal.eid.PTEID_ByteArray.GetBytes | ( |  | ) |

Return the content of the bytae array as an array of bytes If Size() == 0, then NULL is returned.

static long be.portugal.eid.PTEID_ByteArray.getCPtr | ( | PTEID_ByteArray | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ByteArray.swigCPtr.

Referenced by be.portugal.eid.PTEID_OcspResponse.PTEID_OcspResponse().

long be.portugal.eid.PTEID_ByteArray.Size | ( |  | ) |

Return the number of bytes in the byte array.

boolean be.portugal.eid.PTEID_ByteArray.writeToFile | ( | String | csFilePath | ) |

Write the binary content to a file.